Subject: Re: bug#21738: 25.0.50; eww freezes/crashes at times

From: Kaushal Modi <[email-masked]>
Date: Mon, 26 Oct 2015 11:22:21 -0400

> You said you are on RHEL 6.1

I gave wrong information by mistake.. it's actually RHEL 6.6. But that
still doesn't change anything.

> so I guess that (the old version of) libgif above has been installed from a RHEL or CentOS package

I had to jump through some hoops to install libgif on my system. You
had helped me: https://lists.gnu.org/archive/html/emacs-devel/2015-09/msg00422.html
:)

> On the other hand, on emacs-devel you said that your ImageMagick is 6.8.9.1, which is relatively recent (2014) and does not match the version in the list above, viz. 6.7.2.7

I was unaware that the ImageMagick version had to match. I have to
manually install Imagemagick as it's not installed by default. I just
updated to the latest 6.9.2-4 but that too did not help. Do I have to
use the version associated with release.. 6.7.2-7 in this case?

> (also, your gdb does not complain about missing debug info here).

I don't know what that means. This is what I get:

Missing separate debuginfo for /home/kmodi/usr_local/6/lib64/libgif.so.4
Try: yum --enablerepo='*-debug*' install
/usr/lib/debug/.build-id/4d/d406f2679fcf6adf281479e95a0ae8f66c7c4e.debug

0x0000003a9840eb9e in ?? () from /usr/lib64/libgomp.so.1
Missing separate debuginfos, use: debuginfo-install
GConf2-2.28.0-6.el6.x86_64 ORBit2-2.14.17-5.el6.x86_64
alsa-lib-1.0.22-3.el6.x86_64 atk-1.30.0-1.el6.x86_64
bzip2-libs-1.0.5-7.el6_0.x86_64 dbus-libs-1.2.24-7.el6_3.x86_64
expat-2.0.1-11.el6_2.x86_64 fftw-3.2.1-3.1.el6.x86_64
gdk-pixbuf2-2.24.1-5.el6.x86_64 glibc-2.12-1.149.el6_6.5.x86_64
gmp-4.3.1-7.el6_2.2.x86_64 gtk2-2.24.23-6.el6.x86_64
gtk2-engines-2.18.4-5.el6.x86_64 libICE-1.0.6-1.el6.x86_64
libSM-1.2.1-2.el6.x86_64 libX11-1.6.0-2.2.el6.x86_64
libXau-1.0.6-4.el6.x86_64 libXcomposite-0.4.3-4.el6.x86_64
libXcursor-1.1.14-2.1.el6.x86_64 libXdamage-1.1.3-4.el6.x86_64
libXext-1.3.2-2.1.el6.x86_64 libXfixes-5.0.1-2.1.el6.x86_64
libXft-2.3.1-2.el6.x86_64 libXi-1.7.2-2.2.el6.x86_64
libXinerama-1.1.3-2.1.el6.x86_64 libXpm-3.5.10-2.el6.x86_64
libXrandr-1.4.1-2.1.el6.x86_64 libXrender-0.9.8-2.1.el6.x86_64
libXt-1.1.4-6.1.el6.x86_64 libacl-2.2.49-6.el6.x86_64
libattr-2.4.44-7.el6.x86_64 libcroco-0.6.2-5.el6.x86_64
libgcc-4.4.7-11.el6.x86_64 libgomp-4.4.7-11.el6.x86_64
libgsf-1.14.15-5.el6.x86_64 libjpeg-turbo-1.2.1-3.el6_5.x86_64
librsvg2-2.26.0-14.el6.x86_64 libselinux-2.0.94-5.8.el6.x86_64
libtiff-3.9.4-10.el6_5.x86_64 libuuid-2.17.2-12.18.el6.x86_64
libxcb-1.9.1-2.el6.x86_64 libxml2-2.7.6-14.el6_5.2.x86_64
ncurses-libs-5.7-3.20090208.el6.x86_64 pango-1.28.1-10.el6.x86_64
sssd-client-1.11.6-30.el6.x86_64
xz-libs-4.999.9-0.5.beta.20091007git.el6.x86_64
zlib-1.2.3-29.el6.x86_64

> So, did you compile ImageMagick yourself?

Yes

> Perhaps it might be worthwhile to try the CentOS package above instead?

I'll give that a try (I believe I will need to do it the same way I
did for libgif.. extract rpm, etc).

Thanks!